<template>
  <div id="center">
    <div class="up">
      <div class="bg-color-black item" v-for="item in titleItem" :key="item.title">
        <p >{{ item.title }}</p>
        <div>
          <dv-digital-flop class="dv-dig-flop ml-1 mt-2 pl-3" :config="item.number" />
        </div>
      </div>
    </div>
    <div class="down">
      <div class="ranking bg-color-black">
        <span>
          <icon name="chart-pie" class="text-icon"></icon>
        </span>
        <span>库存数量统计</span>
        <dv-scroll-ranking-board class="dv-scr-rank-board mt-1" :config="ranking" />
      </div>
      <div class="percent">
        
        <!-- <div class="bg-color-black item" v-for="item in titleItem2" :key="item.title">
        <p >{{ item.title }}</p>
        <div>
          <dv-digital-flop class="dv-dig-flop ml-1 mt-2 pl-3" :config="item.number" />
        </div>
      </div> -->
      <div class="item bg-color-black">
          <!--替换-->
          <!-- <div class="bg-color-black item" v-for="item in titleItem" :key="item.title">
        <p >{{ item.title }}</p>
        <div>
          <dv-digital-flop class="dv-dig-flop ml-1 mt-2 pl-3" :config="item.number" />
        </div>
      </div> -->

          <span>1单元合格率</span>
          <CenterChart :id="rate[0].id" :tips="rate[0].tips" :colorObj="rate[0].colorData" />
        </div>
        <div class="item bg-color-black">
          <span>2单元合格率</span>
          <CenterChart :id="rate[1].id" :tips="rate[1].tips" :colorObj="rate[1].colorData" />
        </div>
        <div class="water">
          <dv-water-level-pond class="dv-wa-le-po" :config="water" />
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import CenterChart from '@/components/echart/center/centerChartRate'

export default {
  data() {
    return {
      titleItem: [],
      titleItem2: [],
      ranking: {},
      water: {
        
      },
      // 通过率和达标率的组件复用数据
      rate: [
        {
          id: 'centerRate1',
          tips: 0,
          colorData: {
            textStyle: '#3fc0fb',
            series: {
              color: ['#00bcd44a', 'transparent'],
              dataColor: {
                normal: '#03a9f4',
                shadowColor: '#97e2f5'
              }
            }
          }
        },
        {
          id: 'centerRate2',
          tips: 0,
          colorData: {
            textStyle: '#67e0e3',
            series: {
              color: ['#faf3a378', 'transparent'],
              dataColor: {
                normal: '#ff9800',
                shadowColor: '#fcebad'
              }
            }
          }
        }
      ]
    }
  },
  components: {
    CenterChart
  },
  mounted() {
    this.setData();
  },
  methods: {
    setData() {
      this.GetLocationData();
      setInterval(() => {
        this.GetLocationData()
      },100000)
    },
    GetLocationData() {
      var self = this;
      this.$http.post("/api/Largescreen/Outbound_inventory", "查询中...").then((x) => {

        //第一版
        this.titleItem=[
        {
          title: '待检测入库',
          number: {
            number: [x.data.dayTaskType_Inbound],
            toFixed: 0,
            textAlign: 'left',
            content: '{nt}件',
            style: {
              fontSize: 26
            }
          }
        },
        
        {
          title: '外协库入库',
          number: {
            number: [x.data.dayTaskType_OutsourceInbound],
            toFixed: 0,
            textAlign: 'left',
            content: '{nt}件',
            style: {
              fontSize: 26
            }
          }
        },
        
        {
          title: '待检移库外协',
          number: {
            number: [x.data.dayTaskType_OutsourceCarry],
            toFixed: 0,
            textAlign: 'left',
            content: '{nt}件',
            style: {
              fontSize: 26
            }
          }
        },

        
        {
          title: '待检测出库',
          number: {
            number: [x.data.dayTaskType_Outbound],
            toFixed: 0,
            textAlign: 'left',
            content: '{nt}件',
            style: {
              fontSize: 26
            }
          }
        },
        
        {
          title: '外协库出库',
          number: {
            number: [x.data.dayTaskType_OutsourceOutbound],
            toFixed: 0,
            textAlign: 'left',
            content: '{nt}件',
            style: {
              fontSize: 26
            }
          }
        },
        {
          title: '空托数量',
          number: {
            number: [x.data.dayTaskType_EmptyPallet],
            toFixed: 0,
            textAlign: 'left',
            content: '{nt}个',
            style: {
              fontSize: 26
            }
          }
        }
        ]

        this.titleItem2=[
        {
          title: '月入库总量',
          number: {
            number: [x.data.monthlyInventory],
            toFixed: 0,
            textAlign: 'left',
            content: '{nt}件',
            style: {
              fontSize: 26
            }
          }
        },
        {
          title: '月出库总量',
          number: {
            number: [x.data.monthlyOutbound],
            toFixed: 0,
            textAlign: 'left',
            content: '{nt}件',
            style: {
              fontSize: 26
            }
          }
        },
        {
          title: '今日入库总量',
          number: {
            number: [x.data.dayInventory],
            toFixed: 0,
            textAlign: 'left',
            content: '{nt}件',
            style: {
              fontSize: 26
            }
          }
        },
        {
          title: '今日出库总量',
          number: {
            number: [x.data.dayOutbound],
            toFixed: 0,
            textAlign: 'left',
            content: '{nt}件',
            style: {
              fontSize: 26
            }
          }
        }
        ]

        //第二版
        let GetAGVTaskData = []
        for (var i = 0; i < x.data.number_wheels.length; i++) {
          var item = {
            name: x.data.number_wheels[i].stationType,
            value: x.data.number_wheels[i].totalQuantity
          };
          if (item.name == "SmallTray") {
            item.name = "小托盘";
          }
          if (item.name == "LargeTray") {
            item.name = "大托盘";
          }
          GetAGVTaskData[i] = item;
        }
        this.ranking = {
          data: GetAGVTaskData,
          carousel: 'single',
          unit: '个'
        }

        //第三版
        if(x.data.qualified1 !="NaN"){
          var sk=parseInt(x.data.qualified1.replace('%', ''), 10);
          this.rate[0].tips=sk;
        }
        if(x.data.qualified2 !="NaN"){
          this.rate[1].tips=parseInt(x.data.qualified2.replace('%', ''), 10);
        }
        
        //第四版
        var bfb=parseInt(x.data.areaper.replace('%', ''), 10);
        this.water = {
          data: [0, bfb],
        shape: 'roundRect',
        formatter: '{value}%',
        waveNum: 3
        }
      }).catch((x) => {
        console.log(x);
      });
    },
  }
}
</script>

<style lang="scss" scoped>
#center {
  display: flex;
  flex-direction: column;
  width: 650PX;

  .up {
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;

    .item {
      border-radius: 6px;
      padding-top: 8px;
      margin-top: 8px;
      width: 32%;
      height: 70px;

      .dv-dig-flop {
        width: 150px;
        height: 30px;
      }
    }
  }

  .down {
    padding: 6px 4px;
    padding-bottom: 0;
    width: 100%;
    display: flex;
    height: 255px;
    justify-content: space-between;

    .bg-color-black {
      border-radius: 5px;
    }

    .ranking {
      padding: 10px;
      width: 59%;

      .dv-scr-rank-board {
        height: 225px;
      }
    }

    .percent {
      width: 40%;
      display: flex;
      flex-wrap: wrap;

      .item {
        width: 50%;
        height: 120px;

        span {
          margin-top: 8px;
          font-size: 14px;
          display: flex;
          justify-content: center;
        }
      }

      .water {
        width: 100%;

        .dv-wa-le-po {
          height: 120px;
        }
      }
    }
  }
}
</style>
